Subject: Re: muteing speakers if headphones were plugged in?

From: Matthias Grimm <[email-masked]>
Date: Wed, 17 Apr 2002 17:23:13 +0200

Benjamin Herrenschmidt wrote:

>>I don't know where to get the information if headphones are plugged in
>>or not, so I had a look into the recent kernel and I saw some code (for
>>eg. headphone_intr() ) that seems to do what I am asked for. On the
>>other hand the code seems very experimental and not really complete as I
>>could see at some comments.
>>
>>What is the status? Should this feature (muting the speakers ...) be
>>part of the kernel or was it only a fast shot to get it work?
>>
>
> It works with recent drivers though only if your chipset is Tumbler afaik.

Is someone working on that issue to implement it for the other chipsets?

  Matthias

** Sent via the linuxppc-dev mail list. See http://lists.linuxppc.org/